<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php
	$link = get_post_meta($post->ID, '_format_link_url', true );
	if(!$link) $link = get_post_meta($post->ID, 'post_format_link_field', true);
	$target = '';
	if ($link != '') $target = ' target="_blank"';
	if ($link == '') $link = get_permalink();
	?>
	<div class="box post-content">
		<div class="entry-title">
			<h1>
				<a href="<?php echo $link; ?>"<?php echo $target; ?> title="<?php printf( esc_attr__( 'Permalink to %s', 'wedding' ), the_title_attribute( 'echo=0' ) ); ?>" class="icon-link" rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h1>
			<time class="entry-date" datetime="<?php echo get_the_date( 'c' ); ?>" pubdate>
				<?php _e('Posted on','wedding'); ?>: <?php echo get_the_date(); ?>
			</time>
		</div>
		<div class="entry-content">
			<?php if ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink(); ?>" class="featured_img left">
					<?php the_post_thumbnail('thumbnail'); ?>
					<span class="shadow"></span>
				</a>
			<?php } ?>
			<?php if ( is_search() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
			<?php endif; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="entry-meta">
		<?php wedding_post_meta(); ?>
	</div>
	<div class="clear"></div>
</article>