<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="box post-content">
		<div class="entry-title">
			<h1>
				<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wedding' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h1>
			<time class="entry-date" datetime="<?php echo get_the_date( 'c' ); ?>" pubdate>
				<?php _e('Posted on','wedding'); ?>: <?php echo get_the_date(); ?>
			</time>
		</div>
		<?php $video = get_post_meta($post->ID, '_format_video_embed', true ); ?>
		<?php if (!$video) $video = get_post_meta($post->ID, 'post_format_video_field', true); ?>
		<?php if ($video): ?>
		<div class="entry-banner featured-video">
			<?php if (strpos($video,'youtube') !== false): ?>
				<?php parse_str( parse_url( $video, PHP_URL_QUERY ), $video_id ); ?>		
				<iframe width="780" height="439" src="http://www.youtube.com/embed/<?php echo $video_id['v']; ?>?autoplay=0" frameborder="0" allowfullscreen></iframe>
			<?php elseif (strpos($video,'vimeo') !== false): ?>
				<?php sscanf(parse_url($video, PHP_URL_PATH), '/%d', $video_id); ?>
				<iframe src="http://player.vimeo.com/video/<?php echo $video_id; ?>?title=0&amp;byline=0&amp;portrait=0" width="780" height="438" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>		 
			<?php else: ?>
				<?php echo $video; ?>
			<?php endif; ?>	
		</div>
		<?php endif; ?>
		<div class="entry-content">
			<?php if ( has_post_thumbnail() ) { ?>
				<a href="<?php the_permalink(); ?>" class="featured_img left">
					<?php the_post_thumbnail('thumbnail'); ?>
					<span class="shadow"></span>
				</a>
			<?php } ?>
			<?php if ( is_search() ) : ?>
				<?php the_excerpt(); ?>
			<?php else : ?>
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
			<?php endif; ?>
			<div class="clear"></div>
		</div>
	</div>
	
	<div class="entry-meta">
		<?php wedding_post_meta(); ?>
	</div>
	<div class="clear"></div>
</article>