<?php get_header(); ?>
		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
			<div class="content">
				<header class="section-title">
					<h1><span><?php the_title(); ?></span></h1>
				</header>
				<?php echo wedding_get_blog_layout('sidebar'); ?>
				<div class="post_list <?php echo wedding_get_blog_layout('class'); ?>">
					
					<div class="entry-content">
							
						<?php if ( wp_attachment_is_image() ) :
						$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
						foreach ( $attachments as $k => $attachment ) {
							if ( $attachment->ID == $post->ID )
								break;
						}
						$k++;
						if ( count( $attachments ) > 1 ) {
							if ( isset( $attachments[ $k ] ) )
								$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
							else
								$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
						} else {
							$next_attachment_url = wp_get_attachment_url();
						}
						?>
							
						<p class="align_center">
							<a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment" class="attachment_img">
							<?php $attachment_size = apply_filters( 'wedding_attachment_size', 900 );
							echo wp_get_attachment_image( $post->ID, array( $attachment_size, 9999 ) ); ?>
							</a>
						</p>
						
						<?php else : ?>
							<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php echo basename( get_permalink() ); ?></a>
						<?php endif; ?>
							<?php if ( !empty( $post->post_excerpt ) ) the_excerpt(); ?>
						
						<?php the_content( __( 'Continue reading &rarr;', 'wedding' ) ); ?>
						<?php wp_link_pages( array( 'before' => '' . __( 'Pages:', 'wedding' ), 'after' => '' ) ); ?>
						
						<?php if ( wp_attachment_is_image() ) { ?>
							<p class="align_center">
								<?php $metadata = wp_get_attachment_metadata();
								printf( __( 'Full size is %s pixels', 'wedding'),
									sprintf( '<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>',
										wp_get_attachment_url(),
										esc_attr( __('Link to full-size image', 'wedding') ),
										$metadata['width'],
										$metadata['height']
									)
								); ?>
							</p>
						<?php } ?>	
						
						
						<?php if ( wp_attachment_is_image() ) : ?>
						
						<p class="align_center">
							<?php previous_image_link(false, 'Previous Image'); ?>
							<?php next_image_link(false, 'Next Image'); ?>
						</p>
						
						<?php endif; ?>
						
						<div class="clear"></div>
						<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'wedding' ) . '</span>', 'after' => '</div>' ) ); ?>
					</div>
					
					<?php comments_template( '', true ); ?>
				</div>	
				<div class="clear"></div>	
			</div>
		<?php endwhile; ?>
	<div class="clear"></div>
<?php get_footer(); ?>