				<?php
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				$args = array(
					'paged' => $paged,
					'posts_per_page' => get_option('posts_per_page ')
				);
				
				$blog = new WP_Query($args);
				global $blog_url;

				ajax_pagination($blog->max_num_pages,'blog',$blog_url);
				?>
				
				<?php echo wedding_get_blog_layout('sidebar'); ?>

				<div class="post_list <?php echo wedding_get_blog_layout('class'); ?>">
					
					<?php if ( $blog->have_posts() ) : ?>
						<div class="ajax_pagination_blog">
						<?php while ( $blog->have_posts() ) : $blog->the_post(); ?>
							<?php global $more; $more = 0; ?>
							<?php get_template_part( 'blog/content', get_post_format() ); ?>
						<?php endwhile; ?>
						</div>
						<?php if ( $blog->max_num_pages > 1 ) : ?>
							<nav id="nav-below" class="navigation">
								<p id="ajax-load-posts">
									<a href="<?php echo $blog_url; ?>" class="button big">
										<span class="icon-arrows-ccw"></span>
										<strong><?php _e('Load More Posts','wedding'); ?></strong>
									</a>
								</p>
							</nav>
						<?php endif; ?>
						
					<?php else : ?>
						<article id="post-0" class="post no-results not-found">
							<header class="entry-header">
								<h1 class="entry-title"><?php _e( 'Nothing Found', 'wedding' ); ?></h1>
								<?php if (get_post_meta(get_the_ID(), 'subtitle')): ?>
									<h2><?php echo get_post_meta(get_the_ID(), 'subtitle', true); ?></h2>
								<?php endif; ?>
							</header>
							<div class="entry-content">
								<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'wedding' ); ?></p>
								<?php get_search_form(); ?>
							</div>
						</article>
					<?php endif; ?>
			
				</div>
				
				<div class="clear"></div>