jQuery(document).ready(function($) {

	//Tabs
	var tabs = $('.ui-tabs-nav a');
	$('.ui-tabs h3').each(function(i){
		var tab_content = $(this).next();
		var id = $('.ui-tabs-nav a').eq(i).attr('href').substring(1);
		var wrapped = $(this).wrap('<div class="ui-tabs-panel" id="'+id+'">').parent().append(tab_content);
	});
	$(".ui-tabs").tabs();
	$('.wrap').show();

	//Browser compatibility
	if ($.browser.mozilla) $("form").attr("autocomplete", "off");

	//Image uploader and selector
	var _custom_media = true,
		_orig_send_attachment = wp.media.editor.send.attachment;

	$(document).on("click", ".upload_image", function(e){
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var button = $(this);
		var image = button.parent();
		var image_field = image.find("input");
		_custom_media = true;
		wp.media.editor.send.attachment = function(props, attachment){
			if ( _custom_media ) {
			
				image_field.val(attachment.url);
				
				var img = $("<img>").attr("src",attachment.url);
				var imagediv = $("<div>").addClass("image_sample").append("<a>x</a>").append(img);
			
				imagediv.insertAfter(button);
			}
		}
		wp.media.editor.open(button);
		return false;
	});

	$(document).on("click", ".image_sample a", function(e){
		var r=confirm("Do you want to delete this image from the field?");
		if (r==true) {
			$(this).parent().parent().find("input").val("");
			$(this).parent().remove();
		}
	});

	//Color picker
	$("input.color").wpColorPicker();
		    
	//Google webfonts preview
	$("select.font-select").change(function(){
		var font_selected = $(this).val().split(",")[0];
		var family = [font_selected];
		WebFont.load({ google: { families: family } });
		$(this).parent().find(".description").css("font-family",font_selected);
	});
	
	//Purchase code validation
	$('.wedding-auto-update').submit(function(e) {
		e.preventDefault();

		$('.wedding-auto-update tfoot span').text('Validating ...').css('color', '#333');

		$.post( ajaxurl, $(this).serialize(), function(data) {

			data = jQuery.parseJSON(data);

			$('.wedding-auto-update tfoot span').text(data['message']);

			if(data['success'] == true) {
				$('.wedding-auto-update tfoot span').css('color', '#4b982f');
			} else {
				$('.wedding-auto-update tfoot span').css('color', '#c33219');
			}
		});
	});
	
	$('a.licenced_copy').click(function(){
		$('.wedding-auto-update').show();
		return false;
	});

	
});